Subject: Re: [PATCH 1/2] git add: add long equivalents of '-u' and '-f' options

From: Junio C Hamano <[email-masked]>
Date: Sun, 15 Jun 2008 13:21:57 -0700

SZEDER Gábor <[email-masked]> writes:

> On Sun, Jun 15, 2008 at 08:43:12AM +0900, しらいしななこ wrote:
>> Isn't this patch adding a new feature during the freezing period before
>> the release?  What is the policy of accepting such a patch in general?

The policy during the freeze is "bugfix only unless otherwise noted",
which is, admittedly, not saying much ;-)

> I think this patch is rather a bugfix in the user interface than a new
> feature.

Strictly speaking, this is a new feature but I think the documentation
value to clarify -u stands for "update" is great enough to make it an
exception.  I've rewritten (from empty!  Szeder, next time please write
sensible commit log message to defend your changes, instead of having _me_
to defend your changes to others here, like this) the commit log message
to clarify this point.